Module javafx.graphics
Package javafx.stage

# Enum Class Modality

java.lang.Object
java.lang.Enum<Modality>
javafx.stage.Modality

All Implemented Interfaces:
  `Serializable`, `Comparable<Modality>`, `Constable`

public enum Modality extends Enum<Modality>
This enum defines the possible modality types for a `Stage`.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`APPLICATION_MODAL`
Defines a modal window that blocks events from being delivered to any other application window.
`NONE`
Defines a top-level window that is not modal and does not block any other window.
`WINDOW_MODAL`
Defines a modal window that block events from being delivered to its entire owner window hierarchy.

## Method Summary

Modifier and Type
Method
Description
`static Modality`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Modality[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Modality NONE
Defines a top-level window that is not modal and does not block any other window.

### WINDOW_MODAL

public static final Modality WINDOW_MODAL
Defines a modal window that block events from being delivered to its entire owner window hierarchy. Note: A Stage with modality set to WINDOW_MODAL, but its owner is null, is treated as if its modality is set to NONE.

### APPLICATION_MODAL

public static final Modality APPLICATION_MODAL
Defines a modal window that blocks events from being delivered to any other application window.

## Method Details

### values

public static Modality[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Modality valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null